%define name	sffview
%define version 0.3
%define release 1mdk

%define sver	0_3
#
# spec file for package sffview 
#
# Copyright (c) 2003 Gernot Hillier <gernot@hillier.de>
# Parts copyright (c) SuSE Linux AG, Nuernberg, Germany.
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to Gernot Hillier <gernot@hillier.de>
#

Summary:	Viewer for SFF files
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MIT
Group:		Communications
URL:		http://sfftools.sourceforge.net/sffview.html
Source0:	%{name}_%{sver}.tar.bz2
Patch0:		sffview-0.3-Makefile.diff.bz2
Patch1:		sffview-0.3-errno.diff.bz2
BuildRequires:	libwxgtk-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The CAPI interface for programming ISDN hardware expects and gives you faxes
in the "Structured Fax File" (SFF) format.

SffView is a viewer for SFF-files. SffView is written in C++ using the
wxWindows/wxGTK toolkit and is therefore available for Linux and Windows
(wxWindows is a platform independent toolkit and wxGTK is a unix
implementation based on GTK+, see wxWindows homepage).

Authors:
--------
    Peter Schfer

%prep

%setup -q -n %{name}_%{sver}
%patch0 -p0
%patch1 -p0

%build

%make CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}

install -m0755 %{name} %{buildroot}%{_bindir}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/*
%{_bindir}/%{name}

%changelog 
* Wed Dec 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3-1mdk
- 0.3
- fix deps and spec file
- added a different P0
- added P1

* Mon Jul 25 2003 Steffen Barszus <st_barszus@gmx.de> 0.2-2mdk
- fixed some packaging bugs

* Mon Jul 25 2003 Steffen Barszus <st_barszus@gmx.de> 0.2-1mdk
- initial rpm for mandrake

* Wed Mar 09 2003 Gernot Hillier  <gernot@hillier.de> 0.2-1
- update URLs, changed some copyright notices as this is no official
  SuSE package any more
* Mon Jan 20 2003 - ghillie@suse.de
- removed arch=i486 from Makefile (see gcc-3.2 patch)
- added glib and gtk to neededforbuild
* Mon Dec 16 2002 - gernot@hillier.de
- first package
